Package org.apache.tools.ant

# Interface TypeAdapter

All Known Implementing Classes:
  `AugmentReference`, `TaskAdapter`

    public interface TypeAdapter

Used to wrap types.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `checkProxyClass​(java.lang.Class<?> proxyClass)` | Check if the proxy class is compatible with this adapter - i.e.
`Project` | `getProject()` | Gets the project
`java.lang.Object` | `getProxy()` | Returns the proxy object.
`void` | `setProject​(Project p)` | Sets the project
`void` | `setProxy​(java.lang.Object o)` | Sets the proxy object, whose methods are going to be invoked by ant.

## Method Details

### setProject

void setProject​(Project p)
Sets the project

Parameters:
  `p` - the project instance.

### getProject

Project getProject()
Gets the project

Returns:
  the project instance.

### setProxy

void setProxy​(java.lang.Object o)
Sets the proxy object, whose methods are going to be invoked by ant. A proxy object is normally the object defined by a <typedef/> task that is adapted by the "adapter" attribute.

Parameters:
  `o` - The target object. Must not be `null`.

### getProxy

java.lang.Object getProxy()
Returns the proxy object.

Returns:
  the target proxy object

### checkProxyClass

void checkProxyClass​(java.lang.Class<?> proxyClass)
Check if the proxy class is compatible with this adapter - i.e. the adapter will be able to adapt instances of the give class.

Parameters:
  `proxyClass` - the class to be checked.